diff -ruN libxfcegui4-4.2.0/configure libxfcegui4-4.2.0-mod/configure
--- libxfcegui4-4.2.0/configure	Mon Jan 10 11:10:02 2005
+++ libxfcegui4-4.2.0-mod/configure	Thu Jan 20 11:30:06 2005
@@ -3937,11 +3937,11 @@
 
 
 if test "`uname | grep \"CYGWIN\"`" != ""; then
-  HAVE_CYGWIN_TRUE=
-  HAVE_CYGWIN_FALSE='#'
-else
   HAVE_CYGWIN_TRUE='#'
   HAVE_CYGWIN_FALSE=
+else
+  HAVE_CYGWIN_TRUE=
+  HAVE_CYGWIN_FALSE='#'
 fi
 
 
diff -ruN libxfcegui4-4.2.0/libxfcegui4/Makefile.in libxfcegui4-4.2.0-mod/libxfcegui4/Makefile.in
--- libxfcegui4-4.2.0/libxfcegui4/Makefile.in	Thu Dec 23 02:56:25 2004
+++ libxfcegui4-4.2.0-mod/libxfcegui4/Makefile.in	Thu Jan 20 11:31:04 2005
@@ -40,7 +40,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -no-undefined
+@HAVE_CYGWIN_FALSE@am__append_1 = -no-undefined
 subdir = libxfcegui4
 DIST_COMMON = $(libxfcegui4include_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/libxfcegui4-1.0.pc.in \
diff -ruN libxfcegui4-4.2.0/xfce4-modules/combo/Makefile.in libxfcegui4-4.2.0-mod/xfce4-modules/combo/Makefile.in
--- libxfcegui4-4.2.0/xfce4-modules/combo/Makefile.in	Sun Dec 19 12:25:02 2004
+++ libxfcegui4-4.2.0-mod/xfce4-modules/combo/Makefile.in	Thu Jan 20 15:42:05 2005
@@ -38,7 +38,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -module -avoid-version -no-undefined
+am__append_1 = -module
 subdir = xfce4-modules/combo
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
diff -ruN libxfcegui4-4.2.0/xfce4-modules/mime-applications/Makefile.in libxfcegui4-4.2.0-mod/xfce4-modules/mime-applications/Makefile.in
--- libxfcegui4-4.2.0/xfce4-modules/mime-applications/Makefile.in	Sun Dec 19 12:25:02 2004
+++ libxfcegui4-4.2.0-mod/xfce4-modules/mime-applications/Makefile.in	Thu Jan 20 11:53:03 2005
@@ -38,7 +38,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -no-undefined -avoid-version
+@HAVE_CYGWIN_FALSE@am__append_1 = -no-undefined -avoid-version
 @HAVE_CYGWIN_TRUE@am__append_2 = @DBH_CFLAGS@
 subdir = xfce4-modules/mime-applications
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
diff -ruN libxfcegui4-4.2.0/xfce4-modules/mime-icons/Makefile.in libxfcegui4-4.2.0-mod/xfce4-modules/mime-icons/Makefile.in
--- libxfcegui4-4.2.0/xfce4-modules/mime-icons/Makefile.in	Sun Dec 19 12:25:02 2004
+++ libxfcegui4-4.2.0-mod/xfce4-modules/mime-icons/Makefile.in	Thu Jan 20 15:43:15 2005
@@ -38,7 +38,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -module -avoid-version -no-undefined
+@HAVE_CYGWIN_TRUE@am__append_1 = -module
 @HAVE_CYGWIN_TRUE@am__append_2 = @DBH_CFLAGS@
 subdir = xfce4-modules/mime-icons
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -62,7 +62,7 @@
 am__installdirs = "$(DESTDIR)$(plugindir)"
 pluginLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(plugin_LTLIBRARIES)
-@HAVE_CYGWIN_TRUE@libxfce4_mime_icons_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_TRUE@libxfce4_mime_icons_la_DEPENDENCIES = \
 @HAVE_CYGWIN_TRUE@	$(top_builddir)/libxfcegui4/libxfcegui4.la
 am_libxfce4_mime_icons_la_OBJECTS =  \
 	libxfce4_mime_icons_la-mime_icons.lo \
diff -ruN libxfcegui4-4.2.3/libxfcegui4/dialogs.c libxfcegui4-4.2.3-mod/libxfcegui4/dialogs.c
--- libxfcegui4-4.2.3/libxfcegui4/dialogs.c	2005-11-05 11:58:45.000000000 -0500
+++ libxfcegui4-4.2.3-mod/libxfcegui4/dialogs.c	2006-10-30 21:38:38.000000000 -0500
@@ -60,7 +60,12 @@
 /* max. length of a message */
 #define MAXMESSAGELEN   2048
 
+#ifdef __APPLE__
+#include <crt_externs.h>
+#define environ (*_NSGetEnviron())
+#else
 extern char **environ;
+#endif
 
 /* create a header with optional icon (may be NULL) in larger bold font;
  * background and foreground colors are taken from gtk */
diff -ruN libxfcegui4-4.2.3/libxfcegui4/xfce-exec.c libxfcegui4-4.2.3-mod/libxfcegui4/xfce-exec.c
--- libxfcegui4-4.2.3/libxfcegui4/xfce-exec.c	2005-11-05 11:58:45.000000000 -0500
+++ libxfcegui4-4.2.3-mod/libxfcegui4/xfce-exec.c	2006-10-30 22:02:53.000000000 -0500
@@ -48,7 +48,12 @@
 
 #include "xfce-exec.h"
 
+#ifdef __APPLE__
+#include <crt_externs.h>
+#define environ (*_NSGetEnviron())
+#else
 extern char **environ;
+#endif
 
 #ifdef HAVE_LIBSTARTUP_NOTIFICATION
 
